| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Vector x scalar multiply-accumulate of 8b x 8b datatypes
Vector Operations » Multiply Accumulate

## elem_64
v64acc32 | mul_elem_64 (v64uint8 a, unsigned char b)
v64acc32 | negmul_elem_64 (v64uint8 a, unsigned char b)
v64acc32 | mac_elem_64 (v64uint8 a, unsigned char b, v64acc32 acc)
v64acc32 | msc_elem_64 (v64uint8 a, unsigned char b, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64uint8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64uint8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | mul_elem_64 (v64uint8 a, signed char b)
v64acc32 | negmul_elem_64 (v64uint8 a, signed char b)
v64acc32 | mac_elem_64 (v64uint8 a, signed char b, v64acc32 acc)
v64acc32 | msc_elem_64 (v64uint8 a, signed char b, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64uint8 a, signed char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64uint8 a, signed char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | mul_elem_64 (v64int8 a, unsigned char b)
v64acc32 | negmul_elem_64 (v64int8 a, unsigned char b)
v64acc32 | mac_elem_64 (v64int8 a, unsigned char b, v64acc32 acc)
v64acc32 | msc_elem_64 (v64int8 a, unsigned char b, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64int8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64int8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | mul_elem_64 (v64int8 a, signed char b)
v64acc32 | negmul_elem_64 (v64int8 a, signed char b)
v64acc32 | mac_elem_64 (v64int8 a, signed char b, v64acc32 acc)
v64acc32 | msc_elem_64 (v64int8 a, signed char b, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64int8 a, signed char b, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64int8 a, signed char b, v64acc32 acc1, v64acc32 acc2)

## elem_64 with dynamic sign
v64acc32 | mul_elem_64 (v64uint8 a, int sgn_x, unsigned char b, int sgn_y)
v64acc32 | negmul_elem_64 (v64uint8 a, int sgn_x, unsigned char b, int sgn_y)
v64acc32 | mac_elem_64 (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc)
v64acc32 | msc_elem_64 (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | mul_elem_64 (v64uint8 a, int sgn_x, signed char b, int sgn_y)
v64acc32 | negmul_elem_64 (v64uint8 a, int sgn_x, signed char b, int sgn_y)
v64acc32 | mac_elem_64 (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc)
v64acc32 | msc_elem_64 (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | mul_elem_64 (v64int8 a, int sgn_x, unsigned char b, int sgn_y)
v64acc32 | negmul_elem_64 (v64int8 a, int sgn_x, unsigned char b, int sgn_y)
v64acc32 | mac_elem_64 (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc)
v64acc32 | msc_elem_64 (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | mul_elem_64 (v64int8 a, int sgn_x, signed char b, int sgn_y)
v64acc32 | negmul_elem_64 (v64int8 a, int sgn_x, signed char b, int sgn_y)
v64acc32 | mac_elem_64 (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc)
v64acc32 | msc_elem_64 (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc)
v64acc32 | addmac_elem_64 (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)
v64acc32 | addmsc_elem_64 (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2)

## elem_64 with dynamic negation of multiplication result
v64acc32 | mul_elem_64_conf (v64uint8 a, unsigned char b, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64uint8 a, unsigned char b, int sub_mul)
v64acc32 | mul_elem_64_conf (v64uint8 a, signed char b, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64uint8 a, signed char b, int sub_mul)
v64acc32 | mul_elem_64_conf (v64int8 a, unsigned char b, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64int8 a, unsigned char b, int sub_mul)
v64acc32 | mul_elem_64_conf (v64int8 a, signed char b, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64int8 a, signed char b, int sub_mul)

## elem_64 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v64acc32 | mac_elem_64_conf (v64uint8 a, unsigned char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64uint8 a, unsigned char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64uint8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64uint8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | mac_elem_64_conf (v64uint8 a, signed char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64uint8 a, signed char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64uint8 a, signed char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64uint8 a, signed char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | mac_elem_64_conf (v64int8 a, unsigned char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64int8 a, unsigned char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64int8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64int8 a, unsigned char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | mac_elem_64_conf (v64int8 a, signed char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64int8 a, signed char b, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64int8 a, signed char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64int8 a, signed char b, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)

## elem_64 with dynamic sign and dynamic negation of multiplication result
v64acc32 | mul_elem_64_conf (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, int sub_mul)
v64acc32 | mac_elem_64_conf (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64uint8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | mul_elem_64_conf (v64uint8 a, int sgn_x, signed char b, int sgn_y, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64uint8 a, int sgn_x, signed char b, int sgn_y, int sub_mul)
v64acc32 | mac_elem_64_conf (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64uint8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | mul_elem_64_conf (v64int8 a, int sgn_x, unsigned char b, int sgn_y, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64int8 a, int sgn_x, unsigned char b, int sgn_y, int sub_mul)
v64acc32 | mac_elem_64_conf (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64int8 a, int sgn_x, unsigned char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | mul_elem_64_conf (v64int8 a, int sgn_x, signed char b, int sgn_y, int sub_mul)
v64acc32 | negmul_elem_64_conf (v64int8 a, int sgn_x, signed char b, int sgn_y, int sub_mul)
v64acc32 | mac_elem_64_conf (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | msc_elem_64_conf (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc, int zero_acc, int shift16, int sub_mul, int sub_acc1)
v64acc32 | addmac_elem_64_conf (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)
v64acc32 | addmsc_elem_64_conf (v64int8 a, int sgn_x, signed char b, int sgn_y, v64acc32 acc1, v64acc32 acc2, int zero_acc1, int shift16, int sub_mul, int sub_acc1, int sub_acc2)

## Detailed Description

## Function Documentation

## ◆ addmac_elem_64() [1/8]

v64acc32 addmac_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [2/8]

v64acc32 addmac_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [3/8]

v64acc32 addmac_elem_64 | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [4/8]

v64acc32 addmac_elem_64 | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [5/8]

v64acc32 addmac_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [6/8]

v64acc32 addmac_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [7/8]

v64acc32 addmac_elem_64 | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64() [8/8]

v64acc32 addmac_elem_64 | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmac_elem_64_conf() [1/8]

v64acc32 addmac_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [2/8]

v64acc32 addmac_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [3/8]

v64acc32 addmac_elem_64_conf | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [4/8]

v64acc32 addmac_elem_64_conf | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [5/8]

v64acc32 addmac_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [6/8]

v64acc32 addmac_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [7/8]

v64acc32 addmac_elem_64_conf | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [8/8]

v64acc32 addmac_elem_64_conf | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64() [1/8]

v64acc32 addmsc_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [2/8]

v64acc32 addmsc_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [3/8]

v64acc32 addmsc_elem_64 | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [4/8]

v64acc32 addmsc_elem_64 | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [5/8]

v64acc32 addmsc_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [6/8]

v64acc32 addmsc_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [7/8]

v64acc32 addmsc_elem_64 | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64() [8/8]

v64acc32 addmsc_elem_64 | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2 )

## ◆ addmsc_elem_64_conf() [1/8]

v64acc32 addmsc_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [2/8]

v64acc32 addmsc_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [3/8]

v64acc32 addmsc_elem_64_conf | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [4/8]

v64acc32 addmsc_elem_64_conf | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [5/8]

v64acc32 addmsc_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [6/8]

v64acc32 addmsc_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [7/8]

v64acc32 addmsc_elem_64_conf | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [8/8]

v64acc32 addmsc_elem_64_conf | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc1,
|  | v64acc32 | acc2,
|  | int | zero_acc1,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ mac_elem_64() [1/8]

v64acc32 mac_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [2/8]

v64acc32 mac_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [3/8]

v64acc32 mac_elem_64 | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [4/8]

v64acc32 mac_elem_64 | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [5/8]

v64acc32 mac_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [6/8]

v64acc32 mac_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [7/8]

v64acc32 mac_elem_64 | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc )

## ◆ mac_elem_64() [8/8]

v64acc32 mac_elem_64 | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc )

## ◆ mac_elem_64_conf() [1/8]

v64acc32 mac_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [2/8]

v64acc32 mac_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [3/8]

v64acc32 mac_elem_64_conf | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [4/8]

v64acc32 mac_elem_64_conf | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [5/8]

v64acc32 mac_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [6/8]

v64acc32 mac_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [7/8]

v64acc32 mac_elem_64_conf | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [8/8]

v64acc32 mac_elem_64_conf | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64() [1/8]

v64acc32 msc_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [2/8]

v64acc32 msc_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [3/8]

v64acc32 msc_elem_64 | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [4/8]

v64acc32 msc_elem_64 | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [5/8]

v64acc32 msc_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [6/8]

v64acc32 msc_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [7/8]

v64acc32 msc_elem_64 | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc )

## ◆ msc_elem_64() [8/8]

v64acc32 msc_elem_64 | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc )

## ◆ msc_elem_64_conf() [1/8]

v64acc32 msc_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [2/8]

v64acc32 msc_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [3/8]

v64acc32 msc_elem_64_conf | ( | v64int8 | a,
|  | signed char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [4/8]

v64acc32 msc_elem_64_conf | ( | v64int8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [5/8]

v64acc32 msc_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [6/8]

v64acc32 msc_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [7/8]

v64acc32 msc_elem_64_conf | ( | v64uint8 | a,
|  | signed char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [8/8]

v64acc32 msc_elem_64_conf | ( | v64uint8 | a,
|  | unsigned char | b,
|  | v64acc32 | acc,
|  | int | zero_acc,
|  | int | shift16,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mul_elem_64() [1/8]

v64acc32 mul_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y )

## ◆ mul_elem_64() [2/8]

v64acc32 mul_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y )

## ◆ mul_elem_64() [3/8]

v64acc32 mul_elem_64 | ( | v64int8 | a,
|  | signed char | b )

## ◆ mul_elem_64() [4/8]

v64acc32 mul_elem_64 | ( | v64int8 | a,
|  | unsigned char | b )

## ◆ mul_elem_64() [5/8]

v64acc32 mul_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y )

## ◆ mul_elem_64() [6/8]

v64acc32 mul_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y )

## ◆ mul_elem_64() [7/8]

v64acc32 mul_elem_64 | ( | v64uint8 | a,
|  | signed char | b )

## ◆ mul_elem_64() [8/8]

v64acc32 mul_elem_64 | ( | v64uint8 | a,
|  | unsigned char | b )

## ◆ mul_elem_64_conf() [1/8]

v64acc32 mul_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [2/8]

v64acc32 mul_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [3/8]

v64acc32 mul_elem_64_conf | ( | v64int8 | a,
|  | signed char | b,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [4/8]

v64acc32 mul_elem_64_conf | ( | v64int8 | a,
|  | unsigned char | b,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [5/8]

v64acc32 mul_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [6/8]

v64acc32 mul_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [7/8]

v64acc32 mul_elem_64_conf | ( | v64uint8 | a,
|  | signed char | b,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [8/8]

v64acc32 mul_elem_64_conf | ( | v64uint8 | a,
|  | unsigned char | b,
|  | int | sub_mul )

## ◆ negmul_elem_64() [1/8]

v64acc32 negmul_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y )

## ◆ negmul_elem_64() [2/8]

v64acc32 negmul_elem_64 | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y )

## ◆ negmul_elem_64() [3/8]

v64acc32 negmul_elem_64 | ( | v64int8 | a,
|  | signed char | b )

## ◆ negmul_elem_64() [4/8]

v64acc32 negmul_elem_64 | ( | v64int8 | a,
|  | unsigned char | b )

## ◆ negmul_elem_64() [5/8]

v64acc32 negmul_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y )

## ◆ negmul_elem_64() [6/8]

v64acc32 negmul_elem_64 | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y )

## ◆ negmul_elem_64() [7/8]

v64acc32 negmul_elem_64 | ( | v64uint8 | a,
|  | signed char | b )

## ◆ negmul_elem_64() [8/8]

v64acc32 negmul_elem_64 | ( | v64uint8 | a,
|  | unsigned char | b )

## ◆ negmul_elem_64_conf() [1/8]

v64acc32 negmul_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [2/8]

v64acc32 negmul_elem_64_conf | ( | v64int8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [3/8]

v64acc32 negmul_elem_64_conf | ( | v64int8 | a,
|  | signed char | b,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [4/8]

v64acc32 negmul_elem_64_conf | ( | v64int8 | a,
|  | unsigned char | b,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [5/8]

v64acc32 negmul_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | signed char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [6/8]

v64acc32 negmul_elem_64_conf | ( | v64uint8 | a,
|  | int | sgn_x,
|  | unsigned char | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [7/8]

v64acc32 negmul_elem_64_conf | ( | v64uint8 | a,
|  | signed char | b,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [8/8]

v64acc32 negmul_elem_64_conf | ( | v64uint8 | a,
|  | unsigned char | b,
|  | int | sub_mul )